Page MenuHomePhabricator

UploadWizard Title blacklist error reports reported on wrong page
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Steinsplitter raised the priority of this task from to Needs Triage.
Steinsplitter updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2015, 1:16 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 18 2015, 1:16 PM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Sep 18 2015, 1:16 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 18 2015, 1:16 PM
Steinsplitter triaged this task as Medium priority.Sep 19 2015, 9:08 AM

Yeah, very odd, https://github.com/wikimedia/operations-mediawiki-config/blob/f4f8cbcd0b7ff5fc0d156abac523b235f2931e74/wmf-config/CommonSettings.php#L1860 is pretty clear. My first assumption is a gadget script over-writing the config value, but I can't see anything.

matmarex claimed this task.Sep 21 2015, 6:11 PM
matmarex added a subscriber: matmarex.

We're passing the title wrong…

(And so it's using the default title of "Feedback", which on Commons redirects to "Commons talk:Welcome log": https://commons.wikimedia.org/w/index.php?title=Feedback&redirect=no)

This was broken back in 2011 by r106003 (rSVN106003), which changed the parameters of mw.Feedback without updating the caller introduced in UploadWizard in r93669 (rSVN93669).

Change 239896 had a related patch set uploaded (by Bartosz Dziewoński):
Actually pass the blacklist page title and header text to mw.Feedback

https://gerrit.wikimedia.org/r/239896

Change 239896 merged by jenkins-bot:
Actually pass the blacklist page title and header text to mw.Feedback

https://gerrit.wikimedia.org/r/239896

matmarex closed this task as Resolved.Sep 21 2015, 11:31 PM

The change will be deployed to Commons this Wednesday, according to https://www.mediawiki.org/wiki/MediaWiki_1.26/Roadmap and https://wikitech.wikimedia.org/wiki/Deployments. Thanks for spotting the issue, it's fascinating how it went unspotted for over three years.